Author Topic: Maria DB is working but looks like Deactive  (Read 254 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Maria DB is working but looks like Deactive
« on: September 22, 2020, 11:01:40 AM »
From Today i have this issue with my CWP My Db is working but in the panel, I have a disabled flag and the following error in the logs


● mariadb.service - MariaDB 10.1.46 database server
   Loaded: loaded (/usr/lib/systemd/system/mariadb.service; disabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/mariadb.service.d
           └─migrated-from-my.cnf-settings.conf
   Active: failed (Result: exit-code) since Tue 2020-09-22 11:38:49 CEST; 1h 18min ago
     Docs: man:mysqld(8)
           https://mariadb.com/kb/en/library/systemd/
  Process: 32287 ExecStart=/usr/sbin/mysqld $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION (code=exited, status=1/FAILURE)
  Process: 32276 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= ||   VAR=`cd /usr/bin/..; /usr/bin/galera_recovery`; [ $? -eq 0 ]   && systemctl set-environment _WSREP_START_POSITION=$VAR || exit 1 (code=exited, status=0/SUCCESS)
  Process: 32274 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
 Main PID: 32287 (code=exited, status=1/FAILURE)
   Status: "MariaDB server is down"

Sep 22 11:38:49 mysqld[32287]: 2020-09-22 11:38:49 139622406527232 [ERROR] InnoDB: Could not open or create the system tablespace. If you tried to add new data files to the system tablespace, and it failed here, you should now edit innodb_data_file_path in my.cnf back to what it was, and remove the new ibdata files InnoDB created in this failed attempt. InnoDB only wrote those files full of zeros, but did not yet use them in any way. But be careful: do not remove old data files which contain your precious data!
Sep 22 11:38:49 mysqld[32287]: 2020-09-22 11:38:49 139622406527232 [ERROR] Plugin 'InnoDB' init function returned error.
Sep 22 11:38:49  mysqld[32287]: 2020-09-22 11:38:49 139622406527232 [ERROR] Plugin 'InnoDB' registration as a STORAGE ENGINE failed.
Sep 22 11:38:49  mysqld[32287]: 2020-09-22 11:38:49 139622406527232 [Note] Plugin 'FEEDBACK' is disabled.
Sep 22 11:38:49  mysqld[32287]: 2020-09-22 11:38:49 139622406527232 [ERROR] Unknown/unsupported storage engine: InnoDB
Sep 22 11:38:49   mysqld[32287]: 2020-09-22 11:38:49 139622406527232 [ERROR] Aborting
Sep 22 11:38:49  systemd[1]: mariadb.service: main process exited, code=exited, status=1/FAILURE
Sep 22 11:38:49  systemd[1]: Failed to start MariaDB 10.1.46 database server.
Sep 22 11:38:49  systemd[1]: Unit mariadb.service entered failed state.
Sep 22 11:38:49  systemd[1]: mariadb.service failed.